Browser requirements

The airberlin site relies on Javascript to be be fully functional. Among other things Javascript is needed for the booking process.
 


Microsoft Internet Explorer

Upgrade Now! »
Version 8 or higherClick on "? (Help) -> Info"
 
Secure Socket Layer (SSL), Encryption for Secure Data Transfer
 
Click on "Tools -> Internetoptions -> Advanced -> Encryption". Click on the SSL checkbox to activate SSL.
Please note that our SSL-Certificate is issued to www.airberlin.com and make sure you use that domain name.
 
JavaScript
 
Explorer for Windows
  • Choose Tools and then Internetoptions from the menu
  • Click the Security tab and the zone Internet
  • Set the sliding scale to "Medium" (or "Medium-high")
    or click on Custom level, go to Scripting and activate "Active Scripting"
  • Save your changes with "OK"
Internet Explorer for Macintosh
The product is no longer supported by Microsoft; please use a different browser (e.g. Safari).

Firefox

Upgrade Now! »
Version 20 or higher Windows
  • Click on "Help -> About Mozilla Firefox"
Macintosh
  • Click on "Firefox -> About Firefox"
Secure Socket Layer (SSL), Encryption for Secure Data TransferWindows
  • Click on "Tools -> Options -> Advanced -> Encryption". Click on the SSL checkbox to activate SSL.
Macintosh
  • Click on "Firefox -> Preferences -> Advanced -> Security". Click on the SSL checkbox to activate SSL.
Please note that our SSL-Certificate is issued to www.airberlin.com and make sure you use that domain name.
 
JavaScript
 
Firefox for Windows

  • Choose Tools and then Options from the menu
  • Go to Content and activate the checkbox "Enable JavaScript"
  • Save your changes with "OK"
Firefox for Macintosh
  • Choose Firefox and Preferences then from the menu
  • Go to Content and activate the checkbox "Enable Javascript"
  • Save your changes with "OK"

Safari

Upgrade now! »
Version 5 or higherClick on "Safari -> About Safari"
 
Secure Socket Layer (SSL), Encryption for Secure Data Transfer
 
always active
 
JavaScript
  • Choose Safari and then Preferences from the menu
  • Go to Security and activate the checkbox "Enable Javascript"
  • Save your changes with "OK"

Chrome

Upgrade now! »
Version 26 and higherClick on "Customize and control Google Chrome - > About Google Chrome"

JavaScript

  • Click on "Customize and control Google Chrome -> Settings -> Show advanced settings -> Content settings"
  • In Javascript activate "Allow all sites to run Javascript (recommended)"
  • Click "Done" to save your settings